import { DataFrame, ColumnarData } from './DataFrame';
import { DataPrimitive, DataType, IDataFrame } from './DataPrimitive';
/**
 * Base DataFrame class and associated DataFrame selectors
 * @implements {DataPrimitive}
 */
export declare class DataFrameLite<T extends DataType = DataType> extends DataFrame implements IDataFrame<DataType>, DataPrimitive<T> {
    /**
     * Loads ColumnarData into a DataFrame
     * DataFrame contains DataSeries but without DataPoints
     * @param {ColumnarData} columnarData
     * @returns {DataFrame<T>}
     */
    static fromJsonCols<ColType extends DataType = DataType>(columnarData: ColumnarData): DataFrame<ColType>;
}
