import type { OptionsStanza } from './AST';
import { ColumnarData } from './DataFrame';
import type { Frames } from './EncodingExecutor';
export declare class Options {
    /**
     * Takes the options stanza and the dataSources, and returns a simple properties object. Any options
     * that were expressions are evaluated. The resulting object is suitable to pass to a pure viz as props.
     * @param {OptionsStanza} options
     * @param dataSources
     * @param themeFunc
     * @returns {object}
     */
    static evaluate(options: OptionsStanza, dataSources: {
        [key: string]: ColumnarData;
    }, themeFunc?: (themeKey: any) => any, dataFramesIn?: Frames, bypassCloneDeepOptionScope?: boolean, lazyLoadingDataFrame?: boolean): Record<string, any>;
    static dataFrameFromDataSource(dataSources: {
        [key: string]: ColumnarData;
    }, lazyLoadingDataFrame?: boolean): Frames;
}
