import { AbstractFormatter } from '../Formatter';
import { TypedValue } from '../DataPrimitive';
import { DataPoint } from '../DataPoint';
/**
 * Math function to divide.
 *
 * ```js
 * <SampleViz
 *     context={{
 *         divisor: '> majorValue | subtract(trendValue)'
 *         trendValuePercent: '> trendValue | divideBy(divisor)'
 *     }}
 * />
 * ```
 */
export declare class DivideBy extends AbstractFormatter<'number', 'number'> {
    private divisor;
    constructor(divisor: any);
    protected formatTypedValue(p: DataPoint<'number'>): TypedValue<'number'>;
}
