import { AbstractFormatter } from '../Formatter';
import { TypedValue } from '../DataPrimitive';
import { DataPoint } from '../DataPoint';
/**
 * Prepends the given prefix (passed as a parameter) to the DataPoint.
 *
 * ```js
 * <SampleViz
 *     options={{
 *         textOption: '> primary | seriesByName("foo") | lastPoint() | prefix("bar")' // returns "bar100"
 *     }}
 *     dataSources={{
 *         primary: {
 *             data: {
 *                 fields: [{ name: 'foo' }]
 *                 columns: [[100, 200]]
 *             }
 *         }
 *     }}
 * />
 * ```
 */
export declare class Prefix extends AbstractFormatter<'string' | 'number', 'string'> {
    private prefix;
    constructor(prefix: any);
    protected formatTypedValue(p: DataPoint<'string' | 'number'>): TypedValue<'string'>;
}
