/**
 * Validates if a given string is a valid color
 *
 * @param {string} color
 * @returns {boolean}
 */
export declare function isColor(color?: string): boolean;
/**
 * Validates if a given array of strings is a valid array of colors
 * @param colors
 * @returns
 */
export declare const isArrayOfColors: (colors: string[]) => boolean;
/**
 * Sanitizes an array of colors `arr` to replace any non-color values with undefined,
 *  or the value of `fallback` if provided.
 *
 * @param arr
 * @param {string} fallback
 * @returns {string[]} sanitized array any non-color values replaced with `fallback`
 */
export declare const sanitizeArrayOfColors: (arr: any[], fallback?: string) => string[];
