export type { GeoJsonDataType } from '../types';
/**
 *  Finds the closest matching object from the list, which has the max same key value pairs.
 *  Returns the index of match if found, or -1
 *  For eg :-
   const list = [{
        type: "marker",
        lat: "value1"
    }, {
        type: "bubble",
        size: "value2"
    }];

    const obj = {
        type: 'bubble'
    };

    findClosestMatch(list, obj) -> returns index 1.
 */
export declare const findClosestMatchFromDefaultList: (searchList: Array<Record<string, unknown>>, inputObj: Record<string, unknown>) => number;
